QGIS Application - Bug report #21629

r.mapcalc.simple shows by default False for Raster layer A and True for Raster layer B, C, D, E and
F... we must invert...

2019-03-20 05:43 PM - Olivier ATHIMON

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:3.4.5 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29445
Description

QGIS 3.4.5,3.6.0...

r.mapcalc.simple shows by default (see pic):
- False for layer A
- True for layer B
- True for layer C
- True for layer D
- True for layer E
- True for layer F

It's a problem if we only have one layer and if we want to calculate a simple operation in the formula : A+10 by example...
We choose a layer for A... But we can't run r.mapcalc.simple because Raster layer B,C,D,E and F are True (by default) and not False...
So, to get a result, we must choose a layer for B, C, D, E and F... even if we don't use these other layers in our formula (A+10 by

example)...

Please, we would have to (can you) invert the default values and not have to select a layer for A, B, C, D, E or F when we do not need it in
our formula...

History

#1 - 2019-03-20 06:49 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

- Assignee set to Giovanni Manghi

#2 - 2019-03-21 09:58 PM - Giovanni Manghi

Pull request submitted: https://github.com/qgis/QGIS/pull/9598

#3 - 2019-05-23 09:23 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master
